"use strict";


// Add a debug message to debug output UI.
function DebugOutputAdd(msg) {
	var $msgDiv = $("<div>").text(msg);
	$(".jsDebugOutput").append($msgDiv);
}

function InitEverything() {

	// Test1 button handler
	$("body").on("click", ".jsTestBtn1", function() {
		DebugOutputAdd("test 1");
	});

	// Test2 button handler
	$("body").on("click", ".jsTestBtn2", function() {
		DebugOutputAdd("test 2");
	});
	
}


// App startup
//------------
var g_isIOS = navigator.userAgent.match(/iPhone|iPad|iPod/i);


// Auto-wire-up:
window.addEventListener('load', function() {

	// Init everything.
	if (!window.cordova) {
		setTimeout(function() { InitEverything(); }, 1000);
	}
	else {
		document.addEventListener("deviceready", function() { InitEverything(); }, false);
	}

});
